This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 100861 - openmotif-devel and lesstif-devel shouldn't be installed together
openmotif-devel and lesstif-devel shouldn't be installed together
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lesstif (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 02:17 EDT by Paul Osmialowski
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 11:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2003-07-26 02:18:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; PL; rv:1.2.1) Gecko/20030225

Description of problem:
I had this problem on RedHat8 and RedHat9, I've installed both motif
developement packages (openmotif-devel and lesstif-devel) and I couldn't compile
glukalka-0.67 (ZX Spectrum emulator for X). After I've uninstalled lesstif-devel
everything is fine, the program will compile. Then I did some switch and
installed openmotif-devel instead of lesstif-devel and again, everything was
fine (I've started make clean and ./configure after each change). The problem
should be solved by updating RPM dependencies.


Version-Release number of selected component (if applicable):
openmotif-devel-2.2.2-14 lesstif-devel-0.93.36-3

How reproducible:
Always

Steps to Reproduce:
1. Install openmotif, openmotif-devel, lesstif, lesstif-devel
2. download http://213.25.10.65/download/zxspectrum/glukalka-0.67.tar.bz2
3. run ./configure and make.
    

Actual Results:  Program won't compile.

Expected Results:  Program should compile, binary file should be made

Additional info:

RPM dependencies should be updated.
Comment 1 Thomas Woerner 2003-07-29 11:44:35 EDT
The configure script is bad: 

It setting the header files to openmotif (/usr/include) and the library to
lesstif (/usr/X11R6/LessTif/Motif1.2/lib). This does not work.

configure should be fixed not to search indedendently for the *motif* libraries
and header files. It has to use /usr/X11R6/LessTif/Motif1.2/include for lesstif
header files and /usr/include for openmotif headers.

Note You need to log in before you can comment on or make changes to this bug.